[arch-commits] Commit in miro/repos/extra-x86_64 (PKGBUILD)

Ronald van Haren ronald at archlinux.org
Tue Apr 14 13:52:37 EDT 2009


    Date: Tuesday, April 14, 2009 @ 13:52:37
  Author: ronald
Revision: 35620

FS#14196

Modified:
  miro/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-14 17:46:08 UTC (rev 35619)
+++ PKGBUILD	2009-04-14 17:52:37 UTC (rev 35620)
@@ -3,12 +3,12 @@
 
 pkgname=miro
 pkgver=2.0.4
-pkgrel=1
+pkgrel=2
 pkgdesc="The free and open source internet TV platform"
 arch=('i686' 'x86_64')
 url="http://www.getmiro.com"
 license=('GPL2')
-depends=('xine-lib>=1.1.16.1' 'boost>=1.37.0' 'gnome-python-extras>=2.19.1'
+depends=('xine-lib>=1.1.16.1' 'boost>=1.37.0' 'gnome-python-extras>=2.25.3'
 	 'dbus-python>=0.82.4' 'pyrex' 'xulrunner>=1.9.0.1' 'gtk2' 'nspr')
 makedepends=('pkgconfig' 'pm-utils' 'qt3')
 optdepends=('gstreamer0.10-python: gstreamer backend (potentially unstable)' 'gstreamer0.10: gstreamer backend (potentially unstable')
@@ -16,10 +16,16 @@
 conflicts=('democracy')
 replaces=('democracy')
 provides=('democracy')
-source=(http://ftp.osuosl.org/pub/pculture.org/miro/src/Miro-${pkgver}.tar.gz)
-md5sums=('e6cf48252496b2bddd290f375fc0ca33')
+source=(http://ftp.osuosl.org/pub/pculture.org/miro/src/Miro-${pkgver}.tar.gz
+	miro.exec.patch)
+md5sums=('e6cf48252496b2bddd290f375fc0ca33'
+         '355648eac790d52c51ccb014736f90fc')
 
 build() {
   cd ${srcdir}/Miro-${pkgver}/platform/gtk-x11
   python setup.py install --root=${pkgdir} || return 1
+
+  # Fix FS#14196
+  cd ${pkgdir}
+  patch -Np0 -i ${srcdir}/miro.exec.patch || return 1
 }



More information about the arch-commits mailing list